import 'package:cl_appbase/appbase.dart';

import 'post_dto.dart';

class PlaceholderApi extends ApiBase {
  static const postsEndpoint = const ListApiEndpoint('/posts', Post.factory);
  static const postEndpoint = const MapApiEndpoint('/posts/{id}', Post.factory);

  PlaceholderApi() : super('https://jsonplaceholder.typicode.com', [
    postsEndpoint,
    postEndpoint
  ]);

}